Package com.independentsoft.office.charts

# Class HeaderFooter

java.lang.Object
com.independentsoft.office.charts.HeaderFooter

public class HeaderFooter extends Object
The Class HeaderFooter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderFooter()`
  Instantiates a new header footer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HeaderFooter`
  `clone()`
  `String`
  `getEvenFooter()`
  Gets the even footer.
  `String`
  `getEvenHeader()`
  Gets the even header.
  `String`
  `getFirstFooter()`
  Gets the first footer.
  `String`
  `getFirstHeader()`
  Gets the first header.
  `String`
  `getOddFooter()`
  Gets the odd footer.
  `String`
  `getOddHeader()`
  Gets the odd header.
  `boolean`
  `isAlignWithMargins()`
  Checks if is align with margins.
  `boolean`
  `isDifferentFirst()`
  Checks if is different first.
  `boolean`
  `isDifferentOddEven()`
  Checks if is different odd even.
  `void`
  `setAlignWithMargins​(boolean alignWithMargins)`
  Sets the align with margins.
  `void`
  `setDifferentFirst​(boolean differentFirst)`
  Sets the different first.
  `void`
  `setDifferentOddEven​(boolean differentOddEven)`
  Sets the different odd even.
  `void`
  `setEvenFooter​(String evenFooter)`
  Sets the even footer.
  `void`
  `setEvenHeader​(String evenHeader)`
  Sets the even header.
  `void`
  `setFirstFooter​(String firstFooter)`
  Sets the first footer.
  `void`
  `setFirstHeader​(String firstHeader)`
  Sets the first header.
  `void`
  `setOddFooter​(String oddFooter)`
  Sets the odd footer.
  `void`
  `setOddHeader​(String oddHeader)`
  Sets the odd header.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooter

    public HeaderFooter()
    Instantiates a new header footer.

- ## Method Details

  - ### clone

    public HeaderFooter clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAlignWithMargins

    public boolean isAlignWithMargins()
    Checks if is align with margins.
    Returns:
      true, if is align with margins

  - ### setAlignWithMargins

    public void setAlignWithMargins​(boolean alignWithMargins)
    Sets the align with margins.
    Parameters:
      `alignWithMargins` - the new align with margins

  - ### isDifferentFirst

    public boolean isDifferentFirst()
    Checks if is different first.
    Returns:
      true, if is different first

  - ### setDifferentFirst

    public void setDifferentFirst​(boolean differentFirst)
    Sets the different first.
    Parameters:
      `differentFirst` - the new different first

  - ### isDifferentOddEven

    public boolean isDifferentOddEven()
    Checks if is different odd even.
    Returns:
      true, if is different odd even

  - ### setDifferentOddEven

    public void setDifferentOddEven​(boolean differentOddEven)
    Sets the different odd even.
    Parameters:
      `differentOddEven` - the new different odd even

  - ### getEvenFooter

    public String getEvenFooter()
    Gets the even footer.
    Returns:
      the even footer

  - ### setEvenFooter

    public void setEvenFooter​(String evenFooter)
    Sets the even footer.
    Parameters:
      `evenFooter` - the new even footer

  - ### getEvenHeader

    public String getEvenHeader()
    Gets the even header.
    Returns:
      the even header

  - ### setEvenHeader

    public void setEvenHeader​(String evenHeader)
    Sets the even header.
    Parameters:
      `evenHeader` - the new even header

  - ### getFirstFooter

    public String getFirstFooter()
    Gets the first footer.
    Returns:
      the first footer

  - ### setFirstFooter

    public void setFirstFooter​(String firstFooter)
    Sets the first footer.
    Parameters:
      `firstFooter` - the new first footer

  - ### getFirstHeader

    public String getFirstHeader()
    Gets the first header.
    Returns:
      the first header

  - ### setFirstHeader

    public void setFirstHeader​(String firstHeader)
    Sets the first header.
    Parameters:
      `firstHeader` - the new first header

  - ### getOddFooter

    public String getOddFooter()
    Gets the odd footer.
    Returns:
      the odd footer

  - ### setOddFooter

    public void setOddFooter​(String oddFooter)
    Sets the odd footer.
    Parameters:
      `oddFooter` - the new odd footer

  - ### getOddHeader

    public String getOddHeader()
    Gets the odd header.
    Returns:
      the odd header

  - ### setOddHeader

    public void setOddHeader​(String oddHeader)
    Sets the odd header.
    Parameters:
      `oddHeader` - the new odd header